package com.kingdee.eas.custom.compensation.startingsalary;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.compensation.startingsalary.app.*;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class SalaryConfirmation extends CoreBillBase implements ISalaryConfirmation
{
    public SalaryConfirmation()
    {
        super();
        registerInterface(ISalaryConfirmation.class, this);
    }
    public SalaryConfirmation(Context ctx)
    {
        super(ctx);
        registerInterface(ISalaryConfirmation.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("819DF3F4");
    }
    private SalaryConfirmationController getController() throws BOSException
    {
        return (SalaryConfirmationController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public SalaryConfirmationCollection getSalaryConfirmationCollection() throws BOSException
    {
        try {
            return getController().getSalaryConfirmationCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public SalaryConfirmationCollection getSalaryConfirmationCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getSalaryConfirmationCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public SalaryConfirmationCollection getSalaryConfirmationCollection(String oql) throws BOSException
    {
        try {
            return getController().getSalaryConfirmationCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public SalaryConfirmationInfo getSalaryConfirmationInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getSalaryConfirmationInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public SalaryConfirmationInfo getSalaryConfirmationInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getSalaryConfirmationInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public SalaryConfirmationInfo getSalaryConfirmationInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getSalaryConfirmationInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}